/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_uso_tempo_Microdati_2013_DiarioSettimanale_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.uso_tempo_A2013_DiarioSettimana;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
rilev : $2.   /*  codice indagine */
anno : $4.   /*  anno di inizio della rilevazione */
meseri : $2.   /*  trimestre di rilevazione */
profam : $6.   /*  progressivo famiglia */
proind : $2.   /*  numero d'ordine del componente */
proggs : $1.   /*  numero progressivo del giorno della settimana */
rifgio : $1.   /*  giorno di rilevazione */
hhini1 : $2.   /*  primo intervallo di lavoro: ore inizio */
mmini1 : $2.   /*  primo intervallo di lavoro: minuti inizio */
hhfin1 : $2.   /*  primo intervallo di lavoro: ore fine */
mmfin1 : $2.   /*  primo intervallo di lavoro: minuti fine */
hhini2 : $2.   /*  secondo intervallo di lavoro: ore inizio */
mmini2 : $2.   /*  secondo intervallo di lavoro: minuti inizio */
hhfin2 : $2.   /*  secondo intervallo di lavoro: ore fine */
mmfin2 : $2.   /*  secondo intervallo di lavoro: minuti fine */
hhini3 : $2.   /*  terzo intervallo di lavoro: ore inizio */
mmini3 : $2.   /*  terzo intervallo di lavoro: minuti inizio */
hhfin3 : $2.   /*  terzo intervallo di lavoro: ore fine */
mmfin3 : $2.   /*  terzo intervallo di lavoro: minuti fine */
hhini4 : $2.   /*  quarto intervallo di lavoro: ore inizio */
mmini4 : $2.   /*  quarto intervallo di lavoro: minuti inizio */
hhfin4 : $2.   /*  quarto intervallo di lavoro: ore fine */
mmfin4 : $2.   /*  quarto intervallo di lavoro: minuti fine */
hhini5 : $2.   /*  quinto intervallo di lavoro: ore inizio */
mmini5 : $2.   /*  quinto intervallo di lavoro: minuti inizio */
hhfin5 : $2.   /*  quinto intervallo di lavoro: ore fine */
mmfin5 : $2.   /*  quinto intervallo di lavoro: minuti fine */
hhini6 : $2.   /*  sesto intervallo di lavoro: ore inizio */
mmini6 : $2.   /*  sesto intervallo di lavoro: minuti inizio */
hhfin6 : $2.   /*  sesto intervallo di lavoro: ore fine */
mmfin6 : $2.   /*  sesto intervallo di lavoro: minuti fine */
nonlav : $1.   /*  non ho lavorato in quel giorno */
tipset : $1.   /*  Nella settimana descritta ha lavorato pi o meno ore del solito? */
comset : $1.   /*  quale delle seguenti situazioni si  verificata per compilare il diario settimanale? */
setcom : $1.   /*  il diario settimanale  stato compilato: */
;
LABEL 
rilev = "codice indagine"
anno = "anno di inizio della rilevazione"
meseri = "trimestre di rilevazione"
profam = "progressivo famiglia"
proind = "numero d'ordine del componente"
proggs = "numero progressivo del giorno della settimana"
rifgio = "giorno di rilevazione"
hhini1 = "primo intervallo di lavoro: ore inizio"
mmini1 = "primo intervallo di lavoro: minuti inizio"
hhfin1 = "primo intervallo di lavoro: ore fine"
mmfin1 = "primo intervallo di lavoro: minuti fine"
hhini2 = "secondo intervallo di lavoro: ore inizio"
mmini2 = "secondo intervallo di lavoro: minuti inizio"
hhfin2 = "secondo intervallo di lavoro: ore fine"
mmfin2 = "secondo intervallo di lavoro: minuti fine"
hhini3 = "terzo intervallo di lavoro: ore inizio"
mmini3 = "terzo intervallo di lavoro: minuti inizio"
hhfin3 = "terzo intervallo di lavoro: ore fine"
mmfin3 = "terzo intervallo di lavoro: minuti fine"
hhini4 = "quarto intervallo di lavoro: ore inizio"
mmini4 = "quarto intervallo di lavoro: minuti inizio"
hhfin4 = "quarto intervallo di lavoro: ore fine"
mmfin4 = "quarto intervallo di lavoro: minuti fine"
hhini5 = "quinto intervallo di lavoro: ore inizio"
mmini5 = "quinto intervallo di lavoro: minuti inizio"
hhfin5 = "quinto intervallo di lavoro: ore fine"
mmfin5 = "quinto intervallo di lavoro: minuti fine"
hhini6 = "sesto intervallo di lavoro: ore inizio"
mmini6 = "sesto intervallo di lavoro: minuti inizio"
hhfin6 = "sesto intervallo di lavoro: ore fine"
mmfin6 = "sesto intervallo di lavoro: minuti fine"
nonlav = "non ho lavorato in quel giorno"
tipset = "Nella settimana descritta ha lavorato pi o meno ore del solito?"
comset = "quale delle seguenti situazioni si  verificata per compilare il diario settimanale?"
setcom = "il diario settimanale  stato compilato:"
;
RUN;
PROC FORMAT;
VALUE $mes2F /* meseri */
"1" = "Novembre, Dicembre, Gennaio"
"2" = "Febbraio, Marzo, Aprile"
"3" = "Maggio, Giugno, Luglio"
"4" = "Agosto, Settembre, Ottobre"
;
VALUE $rif6F /* rifgio */
"1" = "Luned"
"2" = "Marted"
"3" = "Mercoled"
"4" = "Gioved"
"5" = "Venerd"
"6" = "Sabato"
"7" = "Domenica"
;
VALUE $tip32F /* tipset */
"1" = "Meno del solito"
"2" = "Pi del solito"
"3" = "Come al solito"
;
VALUE $com33F /* comset */
"1" = "E stato compilato dal rilevatore intervistando la persona"
"2" = "E stato compilato dal rilevatore intervistando un familiare"
"3" = "Compilato personalmente dal rispondente"
"4" = "Compilato da un familiare"
;
VALUE $set34F /* setcom */
"1" = "In modo completo senza difficolt"
"2" = "In modo completo con difficolt"
"3" = "In modo incompleto e lacunoso"
;
format meseri $mes2F.;
format rifgio $rif6F.;
format tipset $tip32F.;
format comset $com33F.;
format setcom $set34F.;
RUN;
